class ApiPaymentHistoriesController < ApiController

  before_filter :api_signed_in_user

  respond_to :json

  def index
    data = PaymentHistory.index(current_user,
                      page: params[:page],
                      per_page: params[:per_page])


    @payment_histories = data[:query]

    @next = data[:next_page]
    render "api_payment_histories/index", :layout => nil
  end
end